using System.Collections.Generic;
using System.Threading.Tasks;

namespace Robware.Mailboxes
{
	public interface IAliases {
		Task<IEnumerable<Alias>> GetAll();
		Task<bool> Enable(int id);
		Task<bool> Disable(int id);
		Task<int> Create(string source, string destination, bool active);
		Task<bool> Delete(int id);
	}
}